<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <div class="form-horizontal">
        <a4j:region>
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.hpd.OrganizationalUnit']}</ui:define>
                <ui:param name="id" value="nodeIn"/>
                <h:selectOneMenu value="#{currentRequest.selectedNode}" id="nodeIn" styleClass="form-control gzl-select-text">
                    <s:selectItems value="#{providerInformationSource.getAvailableNodes()}" var="n" label="#{n.name}"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.hpd.PleaseSelect']}"/>
                    <a4j:ajax event="change" render="requestConfPanel" execute="@this"
                              listener="#{providerInformationSource.onNodeSelected(currentRequest)}"/>
                </h:selectOneMenu>
            </s:decorate>
        </a4j:region>
        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" id="dnToDelete"
                    rendered="#{currentRequest.selectedNode != null}">
            <ui:param name="id" value="dnIn"/>
            <ui:define name="label">#{messages['net.ihe.gazelle.hpd.DNOfTheEntryToDelete']}</ui:define>
            <h:inputText value="#{currentRequest.request.dn}" id="dnIn" styleClass="form-control"
                         required="true" requiredMessage="The DN of the entry to be deleted is a required parameter"/>
        </s:decorate>
    </div>
</ui:composition>
